Bug 739404 - [Sandybridge] Primary monitor flickers when a secondary is connected to HDMI ("Cannot position output HDMI3 relative to output ViewSonic without modes")
Summary: [Sandybridge] Primary monitor flickers when a secondary is connected to HDMI ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:modesetting]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-18 17:43 UTC by Zen
Modified: 2018-04-11 08:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 14:46:07 UTC


Attachments (Terms of Use)
dmesg from a "flickering" boot (82.71 KB, text/plain)
2011-09-18 17:43 UTC, Zen
no flags Details
messages (flickering, dual-monitor) (73.09 KB, text/plain)
2011-09-27 16:59 UTC, Zen
no flags Details
Xorg.log (flickering, dual-monitor) (57.56 KB, text/plain)
2011-09-27 17:01 UTC, Zen
no flags Details
10-monitor.conf (1.19 KB, text/plain)
2011-09-27 17:03 UTC, Zen
no flags Details
00-system-setup-keyboard.conf (321 bytes, text/plain)
2011-09-27 17:04 UTC, Zen
no flags Details

Description Zen 2011-09-18 17:43:27 UTC
Created attachment 523757 [details]
dmesg from a "flickering" boot

Description of problem:

When I have my receiver connected to the HDMI output during boot, the primary monitor flickers. The flickering won't stop even in GDM and when X.org is loaded.

Version-Release number of selected component (if applicable):

kernel-2.6.40.4-5.fc15.x86_64
xorg-x11-drv-intel-2.15.0-5.fc15.x86_64

How reproducible:

Always

Steps to Reproduce:

1. Ensure single-monitor mode is running ok.
2. Power off the PC.
3. Connect a device to the back-plate HDMI port (HDMI3)
4. Power on the PC.
  
Actual results:

The video mode seems right but the screen flickers.

Expected results:

The screen is stable.

Additional info:

Detailed report

I installed F15 on my brand new machine so I don't know if the problem would've appeared with previous versions.

The setup is:
Intel i5-2500K
Embedded Intel HD 3000 graphics adapter
ASRock Z68 Extreme4
19" 1280x1024 ViewSonic PC monitor connected to DVI
40" 1920x1280 Sharp Full HD TV set connected to HDMI through a Marantz receiver 
Fedora 15 x86-64 (latest updates as of the bug date)
Gnome 3

Single-monitor configuration worked like a charm. Then I connected my Marantz receiver to HDMI (device ID HDMI3) and successfully tested both audio and video.

The problem appeared when I restarted the PC. Once the boot process went past by GRUB, the primary monitor (and the secondary if turned on) started flickering. Logging in to the Gnome desktop didn't help. Resetting the video mode using Displays in System Settings or disconnecting the HDMI cable didn't help either.

Reboot with the HDMI disconnected and everything is back to normal. Connect the HDMI back and restart and the problem is back.

Having all that in mind, I assumed it's a KMS thing.

I also tried the following:
 - Booting with the receiver powered on or off -- it didn't make a difference.
 - Writing a custom X.org config to get at least the desktop modes right, but it didn't help.
 - Running Gnome in fallback mode (System Settings > System Info > Graphics > Forced Fallback Mode)
 - Removing the rhgb option from the kernel boot options -- I was hoping to avoid KMS up until the X start-up but it's obviously on even in the text console
 - Adding the video=HDMI3:d boot option - it made no difference.

Comment 1 Zen 2011-09-18 17:58:59 UTC
A almost forgot:

My receiver works fine with my laptop system so the bug might be a regression. The laptop differs from the desktop by the following:
 - it's a laptop system;
 - Uses Fedora 12
 - Has an older Intel graphics adapter (Intel® Graphics Media Accelerator 4500MHD5)
 - I'm using a DisplayPort-to-HDMI adapter since the laptop doesn't have an HDMI port

Comment 2 Matěj Cepl 2011-09-26 20:20:36 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, send us at least Xorg.0.log), and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Zen 2011-09-27 16:59:59 UTC
Created attachment 525170 [details]
messages (flickering, dual-monitor)

Comment 4 Zen 2011-09-27 17:01:15 UTC
Created attachment 525171 [details]
Xorg.log (flickering, dual-monitor)

Comment 5 Zen 2011-09-27 17:03:53 UTC
Created attachment 525174 [details]
10-monitor.conf

Comment 6 Zen 2011-09-27 17:04:29 UTC
Created attachment 525175 [details]
00-system-setup-keyboard.conf

Comment 7 Zen 2011-09-27 17:05:23 UTC
Thanks for taking care of this,
Please find attached.

Comment 8 Matěj Cepl 2011-10-04 20:27:37 UTC
[     9.774] (EE) intel(0): Cannot position output HDMI3 relative to output ViewSonic without modes

Comment 9 Zen 2011-10-05 17:37:41 UTC
I know about this, this has nothing to do with the problem. Please try to keep away from anything X.org-related as the problem manifests long before X even kicks in.

And I suggest you remove this error from the bug description because it's misleading.

Comment 10 Zen 2012-04-22 11:07:02 UTC
Wanted to give a status update. Since my last comment I upgraded to Fedora 16 (which changed nothing) but different updates brought new behaviour:

 - First I noticed that the monitor does not flicker any more when the HDMI cable is plugged-in. Instead, it was static but displaced: the top half was at the bottom and vice versa. Also it couldn't get to the GDM login prompt--only the wallpaper was visible (and displaced). Unplugging the HDMI cable and running init 3; init 5 allowed me to log in normally.

 - Several weeks and several updates later, Fedora started to actually start up normally with the HDMI cable plugged-in--up to the desktop--but not always. Sometimes it would behave like in the previous bullet. This is the current behaviour.

Comment 11 Fedora End Of Life 2012-08-07 14:46:10 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.